# Uses of Class
org.apache.sysds.runtime.compress.colgroup.scheme.DDCScheme

Packages that use DDCScheme
Package
Description
org.apache.sysds.runtime.compress.colgroup.scheme

## Uses of DDCScheme in org.apache.sysds.runtime.compress.colgroup.scheme

Subclasses of DDCScheme in org.apache.sysds.runtime.compress.colgroup.scheme
Modifier and Type
Class
Description
`class`
`DDCLZWScheme`
`class`
`DDCLZWSchemeMC`
`class`
`DDCLZWSchemeSC`
`class`
`DDCSchemeMC`
`class`
`DDCSchemeSC`
Methods in org.apache.sysds.runtime.compress.colgroup.scheme that return DDCScheme
Modifier and Type
Method
Description
`static DDCScheme`
DDCScheme.`create(ColGroupDDC g)`
Create a scheme for the DDC compression given
`static DDCScheme`
DDCScheme.`create(IColIndex cols)`
Create a scheme for the DDC compression given a list of columns.